import {observable, action} from 'mobx'

class UCInfoStore {
  @observable userCard = {}

  @action setActiveTab = index => {
    this.activeTab = index
  }

  @action getUserCard = (res) => {
    this.userCard = res.employeeCardInfo
  }

  @action updataavatar = (headIcon) => {
    Object.assign({}, this.userCard, {headIcon: headIcon,headIconChange:true})
  }

  @action uploadIcon = (res) => {
    this.userCard = Object.assign({}, this.userCard, {headIcon: res.resultDetail,headIconChange:true})
  }
  
  @action updateNickName = (name) => {
    this.userCard = Object.assign({}, this.userCard, {nickName: name})
  }

  @action updateSign = (sign) => {
    this.userCard = Object.assign({}, this.userCard, {signature: sign})
  }
}

export default new UCInfoStore()
